Skip to main content
POST
/
projects
/
{project_name}
/
tables
/
{table_id}
/
tasks
Create a Reonciliation Task
curl --request POST \
  --url https://api.cloudsquid.io/api/projects/{project_name}/tables/{table_id}/tasks \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "data": {},
  "files": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ]
}
'
{
  "task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

X-API-Key
string
header
required

Path Parameters

project_name
string
required

The name of the project

table_id
string<uuid>
required

The id of the table

Body

application/json
data
object
required

Arbitrary data payload

files
object[]

Filesystem object references

Response

Task created successfully

task_id
string<uuid>
required

The id of the created task